%define upstream_name    Config-GitLike
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Git-like config file parsing with cascaded inheritance
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::Exception)
BuildArch:  noarch

%description
This module handles interaction with configuration files of the style used
by the version control system Git. It can both parse and modify these
files, as well as create entirely new ones.

You only need to know a few things about the configuration format in order
to use this module. First, a configuration file is made up of key/value
pairs. Every key must be contained in a section. Sections can have
subsections, but they don't have to. For the purposes of setting and
getting configuration variables, we join the section name, subsection name,
and variable name together with dots to get a key name that looks like
"section.subsection.variable". These are the strings that you'll be passing
in to 'key' arguments.

Configuration files inherit from each other. By default, 'Config::GitLike'
loads data from a system-wide configuration file, a per-user configuration
file, and a per-directory configuration file, but by subclassing and
overriding methods you can obtain any combination of configuration files.
By default, configuration files that don't exist are just skipped.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/Config/

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 364626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 317611
- update to 1.10

* Wed Aug 29 2012 kharec <kharec> 1.90.0-1.mga3
+ Revision: 285209
- update to 1.09

* Thu Feb 23 2012 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 212735
- update to 1.08

* Thu Nov 03 2011 jquelin <jquelin> 1.70.0-1.mga2
+ Revision: 162181
- update to 1.07

* Thu Oct 13 2011 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 154268
- update to 1.06

* Mon Jan 24 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 36160
- mageia rebuild
- imported package perl-Config-GitLike

